
package batoh;

import java.security.InvalidParameterException;

/**
 *
 * @author karry
 */
public class Predmet {
  private float cena;
  private float vaha;
  private final String name;

  public Predmet(float cena, float vaha, String name) {
    if (name == null)
      throw new NullPointerException("name is null");
    if (cena < 0)
      throw new InvalidParameterException("cena is negative");
    if (vaha < 0)
      throw new InvalidParameterException("vaha is negative");

    this.name = name;
    this.cena = cena;
    this.vaha = vaha;
  }

  public String getName() {
    return name;
  }

  public float getCena() {
    return cena;
  }

  public float getVaha() {
    return vaha;
  }

  @Override
  public String toString() {
    return name+" ("+cena+" / "+vaha+")";
  }

  float getPomer() {
    return cena/vaha;
  }

}
